org.openmuc.openiec61850.clientgui

## Class BasicDataBind<E extends BasicDataAttribute>

- java.lang.Object
- - org.openmuc.openiec61850.clientgui.BasicDataBind<E>

Direct Known Subclasses:
  BooleanDataBind, CheckDataBind, DoubleBitPosDataBind, EntryTimeDataBind, OctetStringDataBind, OptfldsDataBind, QualityDataBind, ReasonForInclusionDataBind, TapCommandDataBind, TextFieldDataBind, TimeStampDataBind, TriggerConditionDataBind

    public abstract class BasicDataBind<E extends BasicDataAttribute>
    extends java.lang.Object

### Field Summary

Fields
`protected E` `data`

### Constructor Summary

Constructors
Constructor and Description
`BasicDataBind(E data, BdaType type)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`javax.swing.JLabel` `getNameLabel()`
`javax.swing.JComponent` `getValueField()`
`protected abstract javax.swing.JComponent` `init()`
`void` `reset()`
`protected abstract void` `resetImpl()`
`void` `write()`
`protected abstract void` `writeImpl()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### data

    protected final E extends BasicDataAttribute data

### Constructor Detail

#### BasicDataBind

    public BasicDataBind(E data,
                         BdaType type)

### Method Detail

#### getNameLabel

    public javax.swing.JLabel getNameLabel()

#### getValueField

    public javax.swing.JComponent getValueField()

#### reset

    public void reset()

#### write

    public void write()

#### init

    protected abstract javax.swing.JComponent init()

#### resetImpl

    protected abstract void resetImpl()

#### writeImpl

    protected abstract void writeImpl()